namespace ServiceBase;

/// <summary>
/// EEMS Client -> EEMS Server
/// </summary>
public interface IClientCaller
{
    Task<Guid> RegisterDevice(DeviceInfo deviceInfo);

    Task<bool> FilePack(Guid guid, byte[] buffer, int current, int total);
}

/// <summary>
/// EEMS Server -> EEMS Client
/// </summary>
public interface IClientProvider
{
    Task<bool> RequestFile(Guid guid, FileType fileType);
}
